Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.slf4j.impl
Class StaticLoggerBinder

    java.lang.Object
      org.slf4j.impl.StaticLoggerBinder

All Implemented Interfaces:
  org.slf4j.spi.LoggerFactoryBinder

    public final class StaticLoggerBinder

extends Object
implements org.slf4j.spi.LoggerFactoryBinder

SLF4J LoggerFactoryBinder implementation using Log4j. This class is part of the required classes used to specify an SLF4J logger provider implementation.

Field Summary
`static String` | `REQUESTED_API_VERSION` Declare the version of the SLF4J API this implementation is compiled against.

Method Summary
`org.slf4j.ILoggerFactory` | `getLoggerFactory()` Returns the factory.
`String` | `getLoggerFactoryClassStr()` Returns the class name.
`static StaticLoggerBinder` | `getSingleton()` Returns the singleton of this class.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### REQUESTED_API_VERSION

    public static String REQUESTED_API_VERSION

  Declare the version of the SLF4J API this implementation is compiled against. The value of this field is usually modified with each release.

Method Detail

### getSingleton

    public static StaticLoggerBinder getSingleton()

  Returns the singleton of this class.

  Returns:
    the StaticLoggerBinder singleton

### getLoggerFactory

    public org.slf4j.ILoggerFactory getLoggerFactory()

  Returns the factory.

  Specified by:
    `getLoggerFactory` in interface `org.slf4j.spi.LoggerFactoryBinder`
  Returns:
    the factor.

### getLoggerFactoryClassStr

    public String getLoggerFactoryClassStr()

  Returns the class name.

  Specified by:
    `getLoggerFactoryClassStr` in interface `org.slf4j.spi.LoggerFactoryBinder`
  Returns:
    the class name;

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2015 Apache Software Foundation. All Rights Reserved.
Apache Logging, Apache Log4j, Log4j, Apache, the Apache feather logo, the Apache Logging project logo, and the Apache Log4j logo are trademarks of The Apache Software Foundation.